package com.sw.mes.store.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.sw.mes.core.utils.RequestPage;
import com.sw.mes.store.dto.WarehouseMaterialDto;
import com.sw.mes.store.entity.WarehouseMaterial;

import javax.servlet.ServletRequest;
import java.util.List;

/**
 * @Author wupeng
 * @Description 针对表【warehouse_material】的数据库操作Service
 * @Date 11:13 2023/7/24
 * @Param
 * @return
 **/
public interface WarehouseMaterialService extends IService<WarehouseMaterial> {

    WarehouseMaterial getByMaterialId(Long materialId);

    WarehouseMaterial getByMaterialCode(String materialCode);

    WarehouseMaterial getMaterialByMaterialCode(String materialCode);

    void create(WarehouseMaterialDto dto);

    List<WarehouseMaterial> getByMaterialIds(List<Long> materialIds);

    Page<WarehouseMaterial> listByPage(ServletRequest request, RequestPage requestPage);
}
